from snek.system.model import BaseModel, ModelField


class ChannelModel(BaseModel):
    label = ModelField(name="label", required=True, kind=str)
    description = ModelField(name="description", required=False, kind=str)
    tag = ModelField(name="tag", required=False, kind=str)
    created_by_uid = ModelField(name="created_by_uid", required=True, kind=str)
    is_private = ModelField(name="is_private", required=True, kind=bool, value=False)
    is_listed = ModelField(name="is_listed", required=True, kind=bool, value=True)
    index = ModelField(name="index", required=True, kind=int, value=1000)
